package com.sap.research;

import java.io.IOException;
import java.util.List;

import javax.servlet.http.*;

import com.google.appengine.api.datastore.EntityNotFoundException;
import com.google.appengine.api.datastore.Key;
import com.sap.research.dao.PublicationDao;
import com.sap.research.dao.PublicationJpaDao;
import com.sap.research.dao.PublicationNoSqlDao;
import com.sap.research.model.Publication;

@SuppressWarnings("serial")
public class TutorialServlet extends HttpServlet {
	
	private PublicationDao dao = new PublicationNoSqlDao();
	//private PublicationDao daoJpa = new PublicationJpaDao();
	
	public void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws IOException {
		resp.setContentType("text/plain");
		
		Publication publication = new Publication("Programming Google AppEngine", "Benjamin Schmeling");
		Key key = dao.persist(publication, "Web Services", "Google");
		
		dao.persist(new Publication("Programming Google AppEngine Part 2", "Benjamin Schmeling"), "Test");
		dao.persist(new Publication("Programming Google AppEngine Part 3", "Benjamin Schmeling"));
		resp.getWriter().println("Stored " + key);
		try {
			Publication publicationLoaded = dao.load(key);
			resp.getWriter().println("Loaded " + publicationLoaded);
		} catch (EntityNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		//publication.setAuthor("Anis Charfi");
		//dao.persist(publication);
		resp.getWriter().println("All Publications:");
		resp.getWriter().println(dao.getAllPublications());
		List<String> allKeywords = dao.getAllKeywords(key);
		resp.getWriter().println(allKeywords);
	}
	
}
