package com.sap.research.model;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

import com.google.appengine.api.datastore.Key;

@Entity
public class Publication {
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Key key;
	private String title;
	private String author;
	
	public Publication(){
		
	}
	
	public Publication(String title, String author) {
		super();
		this.title = title;
		this.author = author;
	}

	public Publication(Key key, String title, String author) {
		super();
		this.key = key;
		this.title = title;
		this.author = author;
	}

	public Key getKey() {
		return key;
	}

	public void setKey(Key key) {
		this.key = key;
	}

	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	
	@Override
	public String toString() {
		return "Publication: " + getTitle() + " by " + getAuthor();
	}
	
	

}
